This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468239 - Satellite Upgrade documentation needs to be updated on step 9 (rhn-satellite-5-upgrade-scenario-1b.txt)
Satellite Upgrade documentation needs to be updated on step 9 (rhn-satellite...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2008-10-23 13:39 EDT by Preethi Thomas
Modified: 2009-08-27 13:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:37:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2008-10-23 13:39:52 EDT
Description of problem:

rhn-satellite-5-upgrade-scenario-1b.txt 
9. Enable (or re-enable) monitoring and/or push functionality:

Should be changed to say If you had monitoring enabled before the the upgrade, do step 9 or else continue

Version-Release number of selected component (if applicable):
satellite 5.2

rhn-upgrade-5.2.0-22.el4

How reproducible:


Steps to Reproduce:
1. Install the rhn-upgrade package
2. cat /etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt 
3.
  
Actual results:

 Running  /usr/bin/perl rhn-enable-monitoring.pl --enable-scout fails on upgrade from 5.1 which did not have monitoring enabled.
[root@fjs-0-20 satellite-upgrade]#  /usr/bin/perl rhn-enable-monitoring.pl --enable-scout
Setting up Monitoring backend
2008-10-23 13:27:52 Monitoring: Debug level = 0
2008-10-23 13:27:52 Monitoring: Switches: install
2008-10-23 13:27:52 Monitoring: Installing Monitoring for SysV startup in runlevels 2,3,5, start=84, stop=16
RHN::Exception: Attempt to get satellite_org_id on database with more than one org
  RHN::DB::SatInstall /usr/lib/perl5/site_perl/5.8.5/RHN/DB/SatInstall.pm 373 RHN::Exception::throw
  main rhn-enable-monitoring.pl 57 RHN::DB::SatInstall::get_satellite_org_id


Expected results:
The documentation should clearly state that do step 9 only if you had monitoring  enabled pre upgrade.

Additional info:
Comment 1 Milan Zazrivec 2009-02-13 10:34:45 EST
Sending        satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt
Transmitting file data .
Committed revision 181434.
Comment 2 Milan Zazrivec 2009-02-13 10:49:19 EST
Built rhn-upgrade-5.3.0-5
Comment 3 Jeff Browning 2009-06-16 00:45:24 EDT
Verified.

Note that the step in question is now Step 13, not 9.
Comment 4 Jan Pazdziora 2009-08-13 06:19:49 EDT
In rhn-upgrade-5.3.0.21-1.el5sat.noarch.rpm, the rhn-satellite-5-upgrade-scenario-1b.txt says

12. Enable (or re-enable) monitoring and/or push functionality:

   If you would like to enable monitoring:
      # NOTE: You should attempt to enable monitoring only if your satellite
      #       installation you are upgrading from had monitoring enabled.
      # NOTE: the --enable-scout option will enable the monitoring scout on
      #       your RHN Satellite
      /usr/share/spacewalk/setup/upgrade/rhn-enable-monitoring.pl --enable-scout

Note that the step in question is now Step 12, not 9, neither 13.

Marking as RELEASE_PENDING.
Comment 5 Brandon Perkins 2009-08-27 13:37:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.